// @ts-nocheck
import '../styles/global.css';

import type { Metadata } from 'next';
import { Poppins } from 'next/font/google';
import { ReactNode } from 'react';

import { ReduxProvider } from '../providers/Redux';
import { SkeletonProvider } from '../providers/Skeleton';

const inter = Poppins({ weight: ['300', '500', '700'], display: 'swap', subsets: ['latin'] });

export const metadata: Metadata = {
	title: `$(AppName)`,
	description: '',
};

export default function RootLayout({ children }: Readonly<{ children: ReactNode }>) {
	return (
		<ReduxProvider>
			<html lang="en">
				<body className={inter.className}>
					<SkeletonProvider>{children}</SkeletonProvider>
				</body>
			</html>
		</ReduxProvider>
	);
}
