// @ts-nocheck
'use client';

import { useRouter } from 'next/navigation';
import { Skeleton } from '@procyon/components/Skeleton';

export function SkeletonProvider({ children }: Readonly<{ children: React.ReactNode }>) {
	const router = useRouter();
	return (
		<Skeleton
			onHref={(path) => router.push(path as string)}
			items={{
				logo: <>App</>,
				top: [
					{
						label: 'Home',
						href: '/',
					},
					{
						label: 'Next page',
						href: '/next-page',
					},
				],
			}}>
			{children}
		</Skeleton>
	);
}
