import type { Config } from 'tailwindcss';
import plugin from 'tailwindcss/plugin';
import path from 'path';

export default {
	presets: [require('@procyon/styles/tailwind.config')],
	content: [
		path.resolve(__dirname + '../../app/*.{js,ts,tsx}'),
		path.resolve(__dirname + '../../pages/*.{js,ts,tsx}'),
		path.resolve(__dirname + '../../components/*.{js,ts,tsx}'),
		path.resolve(__dirname + '../../../node_modules/@procyon/**/*.{js,ts,tsx}'),
	],
	safelist: require('@procyon/styles/tailwind.config').safelist,
	theme: {
		extend: require('./theme'),
	},
	plugins: [plugin(require('./components/component'))],
} satisfies Config;
